package com.jfinal.club._admin.common;

import com.jfinal.club.common.model.Area;

import java.util.List;

/**
 * @descriptions:
 * @author: lc
 * @date: 2020-07-08 14:12:20
 * @Version: 1.0
 **/
public class AdminCommonService {


    /**
     * 查询所有省信息
     * @return
     */
    public List< Area> listProvince(){
        return Area.dao.find("select * from area where type = 01");
    }

    /**
     * 根据省查询城市
     * @param code
     * @return
     */
    public List<Area> listCityByProvinceCode(String code){
        return Area.dao.find("select * from area where father_code = ?",code);
    }

    /**
     * 根据 城市 查询 区
     * @param code
     * @return
     */
    public List<Area> listDistriceByCityCode(String code){
        return Area.dao.find("select * from area where father_code = ?",code);
    }

    /**
     * 查找唯一
     * @param code
     * @return
     */
    public Area getOneByCode(String code){
        return Area.dao.findFirst("select * from area where addr_code = ? ",code);
    }

}
