package com.jfinal.club._app.appcss;

import com.jfinal.club.common.controller.BaseController;
import com.jfinal.club.common.model.Photos;
import com.jfinal.club.util.Cons;
import com.jfinal.kit.Ret;
import com.jfinal.plugin.activerecord.Page;

import java.util.HashMap;

/**
 * @descriptions: 门窗选择
 * @author: lc
 * @date: 2020-07-17 16:47:47
 * @Version: 1.0
 **/
public class DoorWinChooseController extends BaseController {

    /**
     * 门窗选择
     * p  页码
     */
    public void index(){
        Page< Photos > page = Photos.dao.paginate(getInt("p", 1), getInt("s", Cons.FRONT_PAGESIZE), "select * ", "from photos where type = ? order by sort desc,create_time desc",2);
        HashMap< Object, Object > map = new HashMap<>(2);
        map.put("page", page);
        renderJson(Ret.ok("data",map));
    }
}
