package com.jfinal.club._app.seller;

import com.jfinal.aop.Inject;
import com.jfinal.club._admin.data.service.TypeService;
import com.jfinal.club.common.controller.BaseController;
import com.jfinal.club.common.model.Seller;
import com.jfinal.club.common.model.Types;
import com.jfinal.kit.Ret;

import java.util.HashMap;
import java.util.List;

/**
 * @descriptions: 销售人员
 * @author: lc
 * @date: 2020-07-15 11:37:26
 * @Version: 1.0
 **/
public class SellerController extends BaseController {

    @Inject
    TypeService typeService;
    /**
     * 销售人员
     */
    public void index(){
        Integer type = getInt("type");
        List< Types > types = typeService.listByType(3);
        if(type == null){
            List< Types > t = Types.dao.find("select id from types where type = 3 and active =  1");
            type = t.get(0).getId();
        }
        List< Seller > sellers = Seller.dao.find("select * from seller where type = ? order by sort desc,create_time desc",type);
        HashMap< Object, Object > map = new HashMap<>(2);
        map.put("sellers",sellers);
        map.put("currentType",type);
        map.put("types",types);
        renderJson(Ret.ok("data",map));
    }


}
