package com.jfinal.club.common;

import com.jfinal.club._app.appcss.AppCssController;
import com.jfinal.club._app.appcss.DoorWinChooseController;
import com.jfinal.club._app.appcss.SceneChooseController;
import com.jfinal.club._app.home.AppCaseController;
import com.jfinal.club._app.home.IndexController;
import com.jfinal.club._app.home.NearStoreController;
import com.jfinal.club._app.home.NewsController;
import com.jfinal.club._app.info.InfoController;
import com.jfinal.club._app.productCenter.ProductController;
import com.jfinal.club._app.seller.SellerController;
import com.jfinal.config.Routes;

/**
 * 前台路由
 *
 * @author Jzdsh
 */
public class FrontRoutes extends Routes {

    @Override
    public void config( ) {
        add("/", IndexController.class, "");
        add("/news", NewsController.class, "");
        add("/seller", SellerController.class, "");
        add("/appCase", AppCaseController.class, "");
        add("/product", ProductController.class, "");
        add("/sceneChoose", SceneChooseController.class, "");
        add("/doorWinChoose", DoorWinChooseController.class, "");
        add("/nearStore", NearStoreController.class, "");
        add("/appCss", AppCssController.class, "");
        add("/info", InfoController.class, "");
    }
}
