package com.jfinal.template;

import net.coobird.thumbnailator.Thumbnails;
import net.coobird.thumbnailator.geometry.Coordinate;
import net.coobird.thumbnailator.geometry.Positions;

import javax.imageio.ImageIO;
import java.awt.*;
import java.awt.image.BufferedImage;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;

/**
 * @descriptions:
 * @author: lc
 * @date: 2020-07-30 10:43:29
 * @Version: 1.0
 **/
public class Image {

    public static void main(String[] args) {
        try {
            BufferedImage bufferedImage = Thumbnails.of("C:\\Users\\Jzdsh\\Desktop\\项目\\好博-小程序\\img\\hoppeFile\\\\M429-blind-F49-R.jpg").size(1224, 1200).asBufferedImage( );
            System.err.println(bufferedImage.getWidth() );
            System.err.println(bufferedImage.getHeight() );
            if(bufferedImage.getWidth() <= 285){
                Thumbnails.of("C:\\Users\\Jzdsh\\Desktop\\项目\\好博-小程序\\img\\hoppeFile\\\\M429-blind-F49-R.jpg").size(1224,1200).rotate(90)
                        .watermark(Positions.CENTER, ImageIO.read(new File("C:\\Users\\Jzdsh\\Desktop\\项目\\好博-小程序\\logo.png")), 0.4f).rotate(-90)
                        .outputQuality(1f).toFile("D:\\watermark_center21.jpg");
            }else{
                Thumbnails.of("C:\\Users\\Jzdsh\\Desktop\\项目\\好博-小程序\\img\\hoppeFile\\\\M429-blind-F49-R.jpg").size(1224,1200)
                        .watermark(Positions.CENTER, ImageIO.read(new File("C:\\Users\\Jzdsh\\Desktop\\项目\\好博-小程序\\logo.png")), 0.4f)
                        .outputQuality(1f).toFile("D:\\watermark_center21.jpg");
            }


            System.err.println("图片生成成功！！！" );
        } catch (Exception e) {
            e.printStackTrace( );
        }
    }

    public static void text1(){
        try {
            int width = 750;
            int height = 1234;

            BufferedImage backgroundImage = Thumbnails.of("D:\\b\\bj.jpg").size(450, 800).keepAspectRatio(false).asBufferedImage( );
            BufferedImage materialImage = Thumbnails.of("D:\\b\\cz.jpg").size(300, 800).keepAspectRatio(false).asBufferedImage( );
            BufferedImage doorImage = Thumbnails.of("D:\\b\\mbs.png").size(375, 375).asBufferedImage( );
            BufferedImage qrImage = Thumbnails.of("D:\\b\\qr.png").size(280, 280).asBufferedImage( );


            BufferedImage textImage = Thumbnails.of(handleTextWaterMark( )).size(400, 400).asBufferedImage( );
            Thumbnails.of("D:\\b\\1.jpg").size(width, height)
                    .watermark(new Coordinate(0, 0), backgroundImage, 1f)
                    .watermark(new Coordinate((int) (width * 0.6), 0), materialImage, 1f)
                    .watermark(new Coordinate((int) (width * 0.4), (int) (height * 0.29)), doorImage, 1f)
                    .watermark(new Coordinate((int) (width * 0.6), (int) (height * 0.7)), qrImage, 1f)
                    .watermark(new Coordinate((int) (width * 0.08), (int) (height * 0.7)), textImage, 1f)
                    .toFile("d:/aaaa/ss2.jpg");
        } catch (IOException e) {
            e.printStackTrace( );
        }
    }


    /**
     * @throws
     * @description 操纵文字型水印
     */
    private static BufferedImage handleTextWaterMark( ) {

        //final Font font = getSimsunFont();
        // 设置文字样式
        Font font = new Font("微软雅黑", Font.BOLD, 24);
        //创建缓存图
        BufferedImage image = new BufferedImage(400, 400, BufferedImage.TYPE_INT_RGB);
        //生成图片
        Graphics2D g = image.createGraphics( );
        //设置图片透明度为透明
        image = g.getDeviceConfiguration( ).createCompatibleImage(400, 400, Transparency.TRANSLUCENT);

        //设置文本 距离
        int y = 0;
        int distTop = 45;

        g = image.createGraphics( );
        g.setRenderingHint(RenderingHints.KEY_ANTIALIASING, RenderingHints.VALUE_ANTIALIAS_ON);
        g.setColor(Color.black);
        g.setFont(font);

        g.drawString("Avignon", 5, y += distTop);

        g.setColor(new Color(102, 102, 102));
        g.setFont(new Font("微软雅黑", Font.CENTER_BASELINE, 20));
        g.drawString("1400/42K/24KS", 5, y += distTop);
        g.drawString("材质：不锈钢", 5, y += distTop);
        g.drawString("颜色：古铜色", 5, y += distTop);
        g.drawString("专利：AMTWAVAVG", 5, y += distTop);

        g.dispose( );
        return image;
    }


}
