package com.jfinal.club._admin.data.product;

import com.jfinal.club.common.model.Product;

import java.util.List;

/**
 * @descriptions:
 * @author: lc
 * @date: 2020-07-10 15:59:37
 * @Version: 1.0
 **/
public class AdminProductService {

    /**
     * 根据类型查询所有产品信息
     *
     * @return
     */
    public List< Product > listByPType(int typeId) {
        return Product.dao.find("select * from product where p_type = ?", typeId);
    }

    /**
     * @param materialId
     * @return
     */
    public List< Product > listByPMaterial(Integer materialId) {
        return Product.dao.find("select * from product where p_material = ?", materialId);
    }

    public List< Product > listByPColor(Integer colorId) {
        return Product.dao.find("select * from product where p_color = ?", colorId);
    }

    public List< Product > listByPPatent(Integer patentId) {
        return Product.dao.find("select * from product where p_patent = ?", patentId);
    }

    public List< Product > listByPStyle(Integer styleId) {
        return Product.dao.find("select * from product where p_style = ?", styleId);
    }

    public List< Product > listByPAttr(Integer attrId) {
        return Product.dao.find("select * from product where p_attr = ?", attrId);
    }

    public List< Product > listByPTitle(Integer id) {
        return Product.dao.find("select * from product where p_title = ? ", id);
    }

    public List< Product> listByPKeyhole(Integer id) {
        return Product.dao.find("select * from product where p_keyhole = ? ", id);
    }
}
